//
//  ViewController.m
//  useTheodoliteCamera
//
//  Created by Craig Hunter on 5/21/18.
//  Copyright © 2018 Hunter. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

@synthesize showImage;

- (void)viewDidLoad {
    [super viewDidLoad];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}



- (IBAction)getImage:(id)sender {
    
    // In this example, the return URL will be "usetheodolitecamera://importphoto?id=PHOTOID"
    
    NSString *returnScheme=@"usetheodolitecamera";
    NSString *returnAction=@"importphoto";

    NSString *urlString = [NSString stringWithFormat:@"theodolite://camera?app=%@&action=%@",returnScheme,returnAction];
    NSURL *theodoliteURL = [NSURL URLWithString:urlString];
    
    [[UIApplication sharedApplication] openURL:theodoliteURL options:@{} completionHandler:^(BOOL success) {
        if (!success) {
            NSLog(@"Unable to open Theodolite by URL -- app may not be installed");
        }
        
    }];
    
}


-(void)displayImage:(UIImage*)theImage {
    showImage.image=theImage;
}


@end
